# Dispute Details

In details page the entire details of the dispute will be shown including transaction ID, Customer name, customer email, Merchant ID, Merchant name, merchant email etc . Along with this details dispute journey and documents submitted will be shown for reference.

<mark style="color:green;">`GET`</mark> `https://stgsecctrl.tutelar.io/api/v1/dispute/view/:disputeId`

{% tabs %}
{% tab title="200 : Success response" %}

```json
{
   "success": true,
   "code": 200,
   "message": "Dispute details are",
   "data": {
       "documents": {
           "level_1": [
               {
                   "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317252889-1712317252902.pdf",
                   "_id": "660fe368eddcde09320e2990"
               },
               {
                   "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317261206-1712317261248.png",
                   "_id": "660fe368eddcde09320e2991"
               },
                {
                   "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317286795-1712317286848.png",
                   "_id": "660fe368eddcde09320e2994"
               }
           ],
           "level_2": [],
           "level_3": []
       },
       "level": "level_3",
       "status": "open",
       "verdict": "pending",
       "createdAt": "2024-04-05T11:37:21.839Z",
       "updatedAt": "2024-04-08T04:54:08.943Z",
       "disputeId": "dispute_uVxLt1Mh",
       "merchantName": "Johnson",
       "merchantId": "TUTDINEJOHN00006",
       "merchantMobile": "9588588573",
       "businessName": "Johnson Travels",
       "merchantEmail": "johnson.a@ippopay.com",
       "transactionId": "Trans474765400",
       "customerName": "virat",
       "customerEmail": "virat@gmail.com",
       "customerMobile": "9787956464",
       "amount": 500000,
       "disputeAmountTdrDetails": {
           "type": "include",
           "amountType": "price",
           "amount": 10
       },
       "disputeAmountTaxDetails": {
           "type": "exclude",
           "amountType": "percentage",
           "amount": 23.36
       },
       "disputeAmount": 1000,
       "paymentType": {
           "name": "UPI",
           "code": "upi"
       },
       "transactionDate": "2024-04-03T00:00:00.000Z",
       "remitterBank": "AXIS",
       "acquirerBank": {
           "name": "Adilabad District Co-operative Central Bank",
           "code": "ADDX"
       },
       "nodalAccountNo": "74573478734",
       "paymentInstrumentId": "payment_84746",
       "gatewayOrderId": "gateway",
       "reasonCode": "1065",
       "reasonCategory": "Service level dispute",
       "dueDate": 20240602,
       "internalDueDate": 20240418,
       "disputeType": "dispute",
       "sendEmail": false,
       "disputeStatus": "reopened",
       "comments": [
           {
               "created_by": "client",
               "created_id": "TUTDINE00039",
               "comment": "Slove my problem",
               "action": "Raised",
               "date": "2024-04-05T11:37:21.828Z",
               "_id": "660fe271eddcde09320e2913"
           },
            {
               "created_by": "client",
               "created_id": "TUTDINE00039",
               "comment": "53fhbgfdghfdghdfgfdbhg",
               "action": "Reopened",
               "date": "2024-04-08T04:54:08.173Z",
               "_id": "66137870eddcde09320e312c"
           }
       ]
   }
}

```

{% endtab %}

{% tab title="422: Unprocessable Entity" %}

```json
{
     "status": false,
     "code": 300,
     "message": "No data found"
}
```

{% endtab %}

{% tab title="401: Unauthorized access" %}

```json
{
     "success": false,
     "code": 300,
     "message": "Unauthorized access",
     "data": {}
}
```

{% endtab %}

{% tab title="404 : Request not found" %}

```json
{
     "success": false,
     "code": 300,
     "message": "Request not found",
     "data": {}
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
   "success": false,
   "code": 300,
   "message": "Something went wrong",
   "data": {}
}
```

{% endtab %}
{% endtabs %}

### Success Response

```json
{
   "success": true,
   "code": 200,
   "message": "Dispute details are",
   "data": {
       "documents": {
           "level_1": [
               {
                   "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317252889-1712317252902.pdf",
                   "_id": "660fe368eddcde09320e2990"
               },
               {
                   "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317261206-1712317261248.png",
                   "_id": "660fe368eddcde09320e2991"
               },
                {
                   "key": "dispute/reject/TUTDINE00039/dispute_uVxLt1Mh/file-1712317286795-1712317286848.png",
                   "_id": "660fe368eddcde09320e2994"
               }
           ],
           "level_2": [],
           "level_3": []
       },
       "level": "level_3",
       "status": "open",
       "verdict": "pending",
       "createdAt": "2024-04-05T11:37:21.839Z",
       "updatedAt": "2024-04-08T04:54:08.943Z",
       "disputeId": "dispute_uVxLt1Mh",
       "merchantName": "Johnson",
       "merchantId": "TUTDINEJOHN00006",
       "merchantMobile": "9588588573",
       "businessName": "Johnson Travels",
       "merchantEmail": "johnson.a@ippopay.com",
       "transactionId": "Trans474765400",
       "customerName": "virat",
       "customerEmail": "virat@gmail.com",
       "customerMobile": "9787956464",
       "amount": 500000,
       "disputeAmountTdrDetails": {
           "type": "include",
           "amountType": "price",
           "amount": 10
       },
       "disputeAmountTaxDetails": {
           "type": "exclude",
           "amountType": "percentage",
           "amount": 23.36
       },
       "disputeAmount": 1000,
       "paymentType": {
           "name": "UPI",
           "code": "upi"
       },
       "transactionDate": "2024-04-03T00:00:00.000Z",
       "remitterBank": "AXIS",
       "acquirerBank": {
           "name": "Adilabad District Co-operative Central Bank",
           "code": "ADDX"
       },
       "nodalAccountNo": "74573478734",
       "paymentInstrumentId": "payment_84746",
       "gatewayOrderId": "gateway",
       "reasonCode": "1065",
       "reasonCategory": "Service level dispute",
       "dueDate": 20240602,
       "internalDueDate": 20240418,
       "disputeType": "dispute",
       "sendEmail": false,
       "disputeStatus": "reopened",
       "comments": [
           {
               "created_by": "client",
               "created_id": "TUTDINE00039",
               "comment": "Slove my problem",
               "action": "Raised",
               "date": "2024-04-05T11:37:21.828Z",
               "_id": "660fe271eddcde09320e2913"
           },
            {
               "created_by": "client",
               "created_id": "TUTDINE00039",
               "comment": "53fhbgfdghfdghdfgfdbhg",
               "action": "Reopened",
               "date": "2024-04-08T04:54:08.173Z",
               "_id": "66137870eddcde09320e312c"
           }
       ]
   }
}
```

### Failure Response

```json
{
    "status": false,
    "code": 422,
    "message": "No data found"
}
```

### Response parameter description

<table><thead><tr><th>Response parameter</th><th width="183">Type</th><th>Description</th></tr></thead><tbody><tr><td>documents</td><td>Object</td><td>Documents refers to the set of documents that are submitted in order to challenge the dispute.<br>This documents field<br>contains <strong>level_1, level_2</strong> and <strong>level_3</strong> each which is an array of objects,  which contains 2 fields: <strong>key</strong> data type is <strong>string</strong> and <strong>_id</strong> data type is <strong>objectId</strong>.</td></tr><tr><td>Level</td><td>String</td><td>following the dispute raised in the panel, the client can use the edit option in the action menu to change level . The level is mainly based on the priority of the dispute raised by the acquirer bank</td></tr><tr><td>status</td><td>String</td><td>whenever an dispute is raised the status of the dispute will be updated in order identify whether the raised dispute is in open or closed status </td></tr><tr><td>verdict</td><td>String</td><td>After evaluating the raised dispute the verdict will be uploaded such as won or loss . </td></tr><tr><td>createdAt</td><td>DateTime</td><td>Created date and time of dispute.</td></tr><tr><td>updatedAt</td><td>DateTime</td><td>Updated date and time of dispute.</td></tr><tr><td>disputeId</td><td>String</td><td>A unique ID will be followed in order to differentiate the disputes raised dispute_uVxLt1Mh</td></tr><tr><td>merchantName</td><td>String</td><td>Merchant name will be updated while creating the dispute (Johnson)</td></tr><tr><td>merchantId</td><td>String</td><td>A unique ID will be followed in order to save the merchants vice versa and differentiate the client TUTDINEJOHN00006</td></tr><tr><td>merchantMobile</td><td>String</td><td>Merchant mobile number will be updated while creating the dispute 9588588573</td></tr><tr><td>businessName</td><td>String</td><td>Merchant business name will be uploaded while creating the dispute (Johnson Travels)</td></tr><tr><td>merchantEmail</td><td>String</td><td>Merchant email address will be uploaded while creating the dispute (johnson.a@ippopay.com)</td></tr><tr><td>transactionId</td><td>String</td><td>The transaction ID that is registered while doing the transaction will be updated Trans474765400</td></tr><tr><td>customerName</td><td>String</td><td>Customer name will be updated while creating the dispute (Johnsonvirat)</td></tr><tr><td>customerEmail</td><td>String</td><td>Customer email address will be uploaded while creating the disputevirat@gmail.com</td></tr><tr><td>customerMobile</td><td>String</td><td>Customer  mobile number will be updated while creating the dispute 95885885739787956464</td></tr><tr><td>amount</td><td>Number</td><td>The transactional amount will be updated 500000</td></tr><tr><td>disputeAmountTdrDetails</td><td>Object</td><td><p>The TDR type,amount,amount type is u sing</p><p>To calculate the TDR amount from dispute Amount. disputeAmountTdrDetails has fields <strong>[ type, amountType ( Type as String )].amount</strong> data type is <strong>Number</strong>. </p></td></tr><tr><td>disputeAmountTaxDetails</td><td>Object</td><td>The TAX type, amount, amount type is using To calculate the TAX amount from dispute Amount. disputeAmountTaxDetails has fields <strong>[ type, amountType ( Type as String )].amount</strong> data type is <strong>Number</strong>. </td></tr><tr><td>disputeAmount</td><td>Number</td><td>Dispute amount is also known as the challenged amount that is raised by the customer 1000</td></tr><tr><td>paymentType</td><td>Object</td><td>Payment type is used to mention the payment type the customer is used to paying the required amount , payment type includes credit card , debit card, POS. The paymentType contains 2 fields: name date type is string and code data type is String.</td></tr><tr><td>transactionDate</td><td>DateTime</td><td>Transaction done date is updated 2024-04-03T00:00:00.000Z</td></tr><tr><td>remitterBank</td><td>String</td><td>Remitter bank is also known as the customers bank through which the transaction is made (AXIS bank ) </td></tr><tr><td>acquirerBank</td><td>Object</td><td>Merchants bank is known as the acquirer bank { name, code } (please mention this in description ). The acquirerBank contains 2 fields: <strong>name</strong> data type is <strong>string</strong> and <strong>code</strong> data type is <strong>String</strong>.</td></tr><tr><td>nodalAccountNo</td><td>String</td><td>Merchants settlement account is known as the nodal account 74573478734</td></tr><tr><td>paymentInstrumentId</td><td>String</td><td>The payments instruments such pos and carding machine have an unique ID which is known as payment instrument ID payment_84746</td></tr><tr><td>gatewayOrderId</td><td>String</td><td>The Id that is registered while an order is made in the respective merchants website is called as gateway order ID , Each order have an unique order ID gateway</td></tr><tr><td>reasonCode</td><td>String</td><td>1065</td></tr><tr><td>reasonCategory</td><td>String</td><td>Service level dispute</td></tr><tr><td>dueDate</td><td>Number</td><td>The date provided by a client to disclose the respective dispute . the due date is applicable only (20240602)</td></tr><tr><td>internalDueDate</td><td>Number</td><td>Internal due date refers to the final date that a resolution need to be provided for an dispute 20240418</td></tr><tr><td>disputeType</td><td>String</td><td>Dispute type is used to identify what kind of dispute is raised by the customer , various types of disputes are as follows fraud , chargeback , BO ,complaint (dispute)</td></tr><tr><td>sendEmail</td><td>Boolean</td><td>The clients mail that is registered to receive the dispute complaint is mentioned here </td></tr><tr><td>disputeStatus</td><td>String</td><td>The dispute status is mentioned whether the raised dispute is open, closed or reopened </td></tr><tr><td>comments</td><td>Array</td><td>This comments field is an array of objects,  <strong>[created_by, created_id, comment, action (Type as String)]. date</strong> data type is <strong>DateTime</strong>, <strong>_id</strong> data type is <strong>objectId</strong>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/disputes/dispute-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
